from django.conf import settings

def internal_ip(request):
    internal_ip = request.META.get('HTTP_X_FORWARDED_FOR') or \
               request.META.get('HTTP_X_REAL_IP') or \
               request.META.get('REMOTE_ADDR')
    return {'internal_ip': internal_ip in settings.INTERNAL_IPS}

def site_settings(request):
    return {
        'site_title': settings.SITE_TITLE,
        'has_soma': settings.HAS_SOMA,
        'has_auto_schedule': getattr(settings, 'NONSTOP_AUTO_SCHEDULE', False),
        'wiki_search_base_url': settings.WIKI_SEARCH_BASE_URL,
    }
